Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 508324 - kde-base/kig-4.13.0 fails to build with <sys-devel/gcc-4.7
Summary: kde-base/kig-4.13.0 fails to build with <sys-devel/gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-4.14.3-stable
  Show dependency tree
 
Reported: 2014-04-21 14:25 UTC by gentoo
Modified: 2014-08-10 22:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (kigfailGCC4.6.4,61.26 KB, text/plain)
2014-04-21 14:26 UTC, gentoo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gentoo 2014-04-21 14:25:37 UTC
When trying to emerge kde-base/kig-4.13.0 using x86_64-pc-linux-gnu-4.6.4 as the current compiler profile, the build fails with the message:

cc1plus: error: unrecognized command line option '-std=c++11'

Log attached.

Switching to x86_64-pc-linux-gnu-4.8.2 solves the problem.
Comment 1 gentoo 2014-04-21 14:26:17 UTC
Created attachment 375418 [details]
build log
Comment 2 Johannes Huber gentoo-dev 2014-08-10 22:41:47 UTC
Thanks for reporting. This is fixed in cvs now. Please sync in some hours to get the changes.

+
+  10 Aug 2014; Johannes Huber <johu@gentoo.org> kde4-base.eclass:
+  Raise gcc minimum version to 4.7, bugs #462550, #471770, #508324.
+